body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f9;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    flex-direction: column;
    background-image: url("bg.jpg");
    background-size: contain;
}

.container {
    text-align: center;
    background-color: #fff;
    padding: 20px;
    padding-bottom: 0px;
    padding-top: 0px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    max-width: 350px;
    width: 100%;
}

.profile-pic {
    width: 200px;
    height: 200px;
    object-fit: cover;
}

h1 {
    margin: 10px 0;
}

p {
    color: #666;
    margin-bottom: 20px;
}

.links a {
    display: block;
    text-decoration: none;
    color: #fff;
    padding: 10px;
    margin: 10px 0;
    border-radius: 5px;
    transition: background-color 0.3s;
}

.links a:hover {
    background-color: #005bb5;
}

.instagram-button {
    background: linear-gradient(45deg, #f09433 0%, #e6683c 25%, #dc2743 50%, #cc2366 75%, #bc1888 100%);
}

.tiktok-button {
    background: linear-gradient(45deg, #25f4ee, #fe2c55);
}

.auftritt-button {
    background: linear-gradient(45deg, #36d1dc, #5b86e5);
}

.mitglied-button {
    background: linear-gradient(45deg, #ff5f6d, #ffc371);
}

.footer {
    text-align: center;
    margin-top: 20px;
    color: #666;
}

.footer a {
    color: #0073e6;
    text-decoration: none;
}

.footer a:hover {
    text-decoration: underline;
}

.impressum-title {
    font-size: 14px;
    font-weight: bold;
    margin-top: 20px;
    margin-bottom: 5px;
}

.impressum {
    font-size: 12px;
    line-height: 1.4;
}

.cookie-consent-banner {
    background-color: rgba(0, 0, 0, 0.8);
    color: white;
    text-align: center;
    padding: 20px;
    display: none;
    border-radius: 5px
}

.cookie-consent-banner p {
    margin: 0 0 10px;
    color: white;
    text-align: justify;
    font-size: small;
}

.cookie-consent-banner button {
    background-color: #0073e6;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    margin: 0 5px;
}

.cookie-consent-banner button:hover {
    background-color: #005bb5;
}

.video-wrapper {
    position: relative;
    width: 100%;
    padding-top: 56.25%; /* 16:9 */
    margin: 15px 0;
    border-radius: 10px;
    overflow: hidden;
}

.video-wrapper iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
}